{% extends "base.html" %}
{% import 'bootstrap/wtf.html' as wtf %}

{% block head %}
    {{ super() }}
{% endblock %}

{% block title %}
    {% if current_user.role.name == "老师"%}
    编辑解答{{ post.title }}
    {% else %}
    编辑讨论{{ post.title }}
    {% endif %}
{% endblock %}
{% block content %}
    {% if current_user.role.name == "老师"%}
    <body>
    <main>
        <div class="container mt-3">
            {% include "_flash.html" %}
            <h3 class="text-info"><strong>编辑解答</strong></h3>
            <hr class="bg-secondary">
            <form action="/post/editt/{{ post.id }}" method="post">
                {{ form.csrf_token }}
                {{ wtf.form_field(form.title) }}
                <div class="row">
                    <div class="col">
                        {{ wtf.form_field(form.problem) }}
                    </div>
                </div>
                {{ form.body }}
                开放时间
                <br>
                {{ form.dt }}
                {{ form.tt }}
                <div class="text-right">
                    {{ form.submit }}
                </div>
            </form>
        </div>
    </main>
    </body>
    {{ ckeditor.load() }}
    {{ ckeditor.config(name='body') }}
    <script src="{{ url_for('static', filename='js/ckeditor.js') }}"></script>
    {% else %}
    <body>
        <main>
            <div class="container mt-3">
                {% include "_flash.html" %}
                <h3 class="text-info"><strong>编辑讨论</strong></h3>
                <hr class="bg-secondary">
                <form action="/post/edit/{{ post.id }}" method="post">
                    {{ form.csrf_token }}
                    {{ wtf.form_field(form.title) }}
                    <div class="row">
                        <div class="col">
                            {{ wtf.form_field(form.problem) }}
                        </div>
                    </div>
                    {{ form.body }}
                    <div class="text-right">
                        {{ form.submit }}
                    </div>
                </form>
            </div>
        </main>
        </body>
        {{ ckeditor.load() }}
        {{ ckeditor.config(name='body') }}
        <script src="{{ url_for('static', filename='js/ckeditor.js') }}"></script>
    {% endif %}
{% endblock %}